import { defineConfig } from 'unocss'

export default defineConfig({
  rules: [
    [
      /^bg-svg-([\w-]+)$/,
      ([, fname]) => ({ 'background-image': `url(@/assets/svgs/${fname}.svg)`, 'background-size': 'cover' }),
    ],
    [
      /^bg-px-([\w-]+)-(png|jpg|gif)$/,
      ([, fname, suffix]) => ({
        'background-image': `url(@/assets/images/${fname}.${suffix})`,
        'background-size': 'cover',
      }),
    ],
  ],
  theme: {
    colors: {
      'theme-color': '#2468f2',
    },
  },
})
